<?php
$TITLE = "ADEI";//"Weather Station";
$MODULES = array("config", "graph", "wiki");


$EXPORT_FORMATS = array (
	"csv" => array(
	    'title' => "CSV",
	),
	"xls" => array(
	    'title' => "Excel",
	    'handler' => "EXCEL",
	),
	"tdms" => array(
	    'title' => "TDMS",
	    'handler' => "LABVIEW",
	    'type' => "tdms"
	)
);


$READER_DB_IMK = array(
/*	"imk" => array (
	    "title" => _("IMK"),
	    "reader" => "DBReader",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
	    "host" => "192.168.8.6",
	    "port" => 1433,
	    "user" => "souren",
	    "password" => '$souren$',
	    "database" => array("KFK_Mast"),
	    "charset" => "ISO8859-1",
	    "timeout" => 200000,	// us
	    "ping" => true,		// host and port should be specified
//	    "disconnected" => true
	),*/
	"kitcube" => array (
	    "title" => _("KIT Cube"),
	    "reader" => "IPEReader",
	    "driver" => "mysql",
	    "host" => "ipepdvadei.ka.fzk.de",
	    "port" => 3306,
	    "user" => "adei",
	    "password" => "adei",
	    "database" => array("kitcube_active"),
	    "charset" => "ISO8859-1",
	    "timeout" => 200000,	// us
	    "ping" => true,		// host and port should be specified
//	    "disconnected" => true
	)
);

if (is_array($READER_DB)) $READER_DB = array_merge($READER_DB_IMK, $READER_DB);
else $READER_DB = $READER_DB_IMK;


$OPTIONS["kitcube"] = array(
/*	    "groups" => array(
		"/^Data_011_EB1_DAR$/" => 'Data_011_EB1_DAR_[Energy_balance_station_1 DAR]',
		"/^Data_012_EB2_DAR$/" => 'Data_012_EB2_DAR_[Energy_balance_station_2 DAR]',
		"/^Data_012_EB2_DAX$/" => 'Data_012_EB2_DAX_[Energy_balance_station_2 DAX]'

	    ),*/
	    "tables" => array(
		"/^(Data_[\w\d_]+)$/" => array(
		    'gid' => '${1}',
		    'title' => '${1}'
		)
	    ),
	    "columns" => array(
		"time" => "sec",
		"data" => "/(AVG|SUM|RATE|RES)$/"
	    ),
	    "timesort" => 1,					// 0 - NATURAL, 1 - ASC, -1 - DESC, string whith request
//	    "date_limit" => "2000-01-01 00:00:00",		//GMT
//	    "date_limit" => array("2005-08-06 00:00:00","2005-08-08 00:00:00"),		//GMT
//	    "date_limit" => "2008-03-29 21:00:00",		//GMT
	    "time_format" => "U",
	    "min_resolution" => 10,
	    "ignore_subseconds" => false,
	    "optimize_empty_cache" => true,
	    "use_cache_timewindow" => true,
//	    "use_cache_reader" => true,
	    "use_md5_postfix" => true,
	    "trace_timings" => false,
	    "monitor_timings" => array(
		"query_limit" => 500000,		/* us */
		"raise_exception" => true
	    ),
/*	    "cache_config" => array(
		array("min" => 630720000, "res" => 604800),
		array("min" => 31536000, "res" => 43200)
	    ),*/
	    "data_filters" => array(
		"BADVALUEFilter" => array (
		    "badvalue" => -9999
		),
	    ),
	    "axes_table" => array(
		"table" => "Axislist",
		"id" => "id",
		"properties" => array(
		    "axis_name" => "comment",
		    "axis_units" => "unit"
		)
	    ),
	    "item_table" => array(
		"table" => "Sensorlist",
		"id" => "name",
		//"gid" => "group",
		"properties" => array(
		    "name" => "comment",
		    "axis" => "axis"
		)
	    )
);


$OPTIONS["imk__KFK_Mast"] = array(
	    "groups" => array(
		"/^(.*)$/" => '${1}',
	    ),
	    "tables" => array(
		"/^(HV1|TW1|U1)$/" => array(
		    'gid' => '${1}',
		    'title' => '${1}'
		)
	    ),
	    "columns" => array(
		"time" => "DATUM",
		"data" => "/_/"
	    ),
	    "timezone" => "Europe/Berlin",
//	    "time_module" => "MSTICKS",
//	    "time_options" => -36000000000,			// correction
	    "timesort" => 1,					// 0 - NATURAL, 1 - ASC, -1 - DESC, string whith request
	    "date_limit" => "2000-01-01 00:00:00",		//GMT
//	    "date_limit" => array("2005-08-06 00:00:00","2005-08-08 00:00:00"),		//GMT
//	    "date_limit" => "2008-03-29 21:00:00",		//GMT
	    "min_resolution" => 600,
	    "ignore_subseconds" => false,
	    "optimize_empty_cache" => true,
	    "use_cache_timewindow" => true,
//	    "use_cache_reader" => true,
//	    "use_md5_postfix" => true,
	    "trace_timings" => false,
	    "monitor_timings" => array(
		"query_limit" => 500000,		/* us */
		"raise_exception" => true
	    ),
	    "cache_config" => array(
		array("min" => 630720000, "res" => 604800),
		array("min" => 31536000, "res" => 43200)
	    ),
	    "data_filters" => array(
		"BADVALUEFilter" => array (
		    "badvalue" => 1999
		),
	    )
);


?>