<?php
// $Id: kdbphp.php 598 2009-02-18 13:49:18Z s_voec01 $
// Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de>

if (!extension_loaded("kdbphp")) {
  if (strtolower(substr(PHP_OS, 0, 3)) === 'win') {
    if (!dl('php_kdbphp.dll')) return;
  } else {
    // PHP_SHLIB_SUFFIX is available as of PHP 4.3.0, for older PHP assume 'so'.
    // It gives 'dylib' on MacOS X which is for libraries, modules are 'so'.
    if (PHP_SHLIB_SUFFIX === 'PHP_SHLIB_SUFFIX' || PHP_SHLIB_SUFFIX === 'dylib') {
      if (!dl('kdbphp.so')) return;
    } else {
      if (!dl('kdbphp.'.PHP_SHLIB_SUFFIX)) return;
    }
  }
}

function vectori_to_array($v)
{
    $a = array();

    if (is_resource($v)) {
        for ($i = 0; $i < vectori_size($v); $i++) {
            $a[] = vectori_get($v, $i);
        }
    }

    return $a;
}

function vectori_from_array(array $a)
{
    $size = count($a);
    $r = new_vectori($size);
    for ($i = 0; $i < $size; $i++) {
        vectori_set($r, $i, $a[$i]);
    }

    return $r;
}

class KDBPhp
{
    public $_cPtr = 0;

    function __construct()
    {
        $this->_cPtr = new_KDBPhp();
    }

    function GetRun($number)
    {
        $xml = KDBPhp_GetRun($this->_cPtr, $number);
        $this->PrintXml($xml);
    }

    function ListRuns()
    {
        $xml = KDBPhp_ListRuns($this->_cPtr);
        $this->PrintXml($xml);
    }

    function HaveData($from, $to)
    {
        return KDBPhp_HaveData($this->_cPtr, $from, $to);
    }

    function PrintXml($xml)
    {
        header("Content-type: text/xml");
        header("Cache-Control: no-cache, must-revalidate");
        header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

        print $xml;
    }

    function PrintError($error)
    {
        $xml = "<?xml version=\"1.0\"?>\n<result>\n";
        $xml .= " <Error>$error</Error>\n</result>";

        $this->PrintXml($xml);
    }
}

?>