<?php
// $Id: kdbrunidentifier.php 973 2009-08-19 09:40:28Z s_voec01 $
// Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de>

ADEI::RequireClass("KDBRunIdentifier", true);

class KDBFileIdentifier
{
    public $self = 0;

    function __construct($arg1 = null, $arg2 = null)
    {
        if (!extension_loaded("kdbphp")) {
            throw new ADEIException("KDBPhp extension is not loaded!");
        }

        $r = new_KDBFileIdentifier();

        if (func_num_args() == 1) {
            KDBFileIdentifier_SetFileName($arg1);
        }
        elseif (func_num_args() == 2) {
            KDBFileIdentifier_SetRun($arg1);
            KDBFileIdentifier_SetFileName($arg2);
        }

        $this->self = $r;
    }

    function SetRun(KDBRunIdentifier $run)
    {
        KDBFileIdentifier_SetRun($this->self, $run->self);
    }

    function GetRun()
    {
        $run = KDBFileIdentifier_GetRun($this->self);
        return new KDBRunIdentifier($run);
    }

    function SetFileName($filename)
    {
        KDBFileIdentifier_SetFileName($this->self, $filename);
    }

    function GetFileName()
    {
        return KDBFileIdentifier_GetFileName($this->self);
    }

    function SetFileType($type)
    {
        KDBFileIdentifier_SetFileType($this->self, $type);
    }

    function GetFileType()
    {
        return KDBFileIdentifier_GetFileType($this->self);
    }

    function AsString()
    {
        return KDBFileIdentifier_AsString($this->self);
    }
}

?>
