<?php

$TITLE = "";
$MODULES = array("config", "slowcontrol", "alarms", "katrin", "graph", "wiki");

/*
$EXPORT_FORMATS = array (
	"csv" => array(
	    'title' => "CSV",
	),
	"xls" => array(
	    'title' => "Excel",
	    'handler' => "EXCEL",
	)
);
*/

$READER_DB_KATRIN = array(
	"katrin" => array (
	    "title" => _("HauptSpektrometer"),
	    "reader" => "ZEUS",
	    "driver" => "mysql",
	    "host" => "localhost",
	    "port" => 0,
	    "user" => "zeus",
	    "password" => "zeus",
	    "database" => array ("hauptspektrometer"),
//	    "disconnected" => true
	),
	"katrindb" => array (
	    "title" => _("PreSpektrometer Zeus7"),
	    "reader" => "ZEUS",
	    "driver" => "mysql",
	    "host" => "localhost",
	    "port" => 0,
	    "user" => "adei",
	    "password" => "adei",
	    "database" => array ("katrinpse_archiv"),
	    "multibase" => true,
//	    "disconnected" => true
	),
	"toskanadb" => array (
	    "title" => _("PreSpektrometer/Zeus8"),
	    "reader" => "ZEUS",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
            "host" => "ipepdvmssqldb1.ka.fzk.de",
	    "port" => 1433,
	    "user" => 'souren',
	    "password" => '$souren$',
	    "database" => array ("prespektrometer_rep"),
	    "timeout" => 200000,
	    "ping" => true,
//	    "disconnected" => true
	),
	"opcreader" => array(
	    "title" => _("MainSpektrometer/OPC"),
	    "reader" => "DBReader",
            "driver" => "odbc",
            "sqldrv" => "mssql",
            "subdrv" => "FreeTDS",
            "host" => "ipepdvmssqldb1.ka.fzk.de",
            "port" => 1433,
	    "database" => array ("dbMagnet-archive", "dbMagnet-archive_rep", "KatrinOPCTest"),
	    "user" => 'souren',
	    "password" => '$souren$',
	    "multibase" => false,
	    "timeout" => 200000,
	    "ping" => true,
//	    "disconnected" => true
       ),
	"detector" => array (
	    "title" => _("KATRIN Detector"),
	    "reader" => "ZEUS",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
            "host" => "ipepdvmssqldb1.ka.fzk.de",
	    "database" => array ("katrin_rep"),
	    "port" => 1433,
	    "user" => 'souren',
	    "password" => '$souren$',
	    "multibase" => false,
	    "timeout" => 200000,
	    "ping" => true,
//	    "disconnected" => true
	),
       "kdb" => array(
            "title" => _("KATRIN Database"),
            "reader" => "KATRINreader",
	    "database" => array ("kps")
       )
);


if (is_array($READER_DB)) $READER_DB = array_merge($READER_DB_KATRIN, $READER_DB);
else $READER_DB = $READER_DB_KATRIN;

$OPTIONS["katrindb"] = array(
	    "optimize_empty_cache" => true,
//	    "graph_interpolate" => false,
	    "maximal_allowed_gap" => 120,
	    "ignore_invalid_data" => true
);

$OPTIONS["toskanadb"] = array(
//	    "root_database" => "$ADEI_ROOT_STORAGE/root_prespektrometer.root",
	    "date_limit" => "2008-04-21 12:00:00",              //GMT
	    "optimize_empty_cache" => true,
//	    "graph_interpolate" => false,
	    "maximal_allowed_gap" => 120,
	    "ignore_invalid_data" => true,
//	    "fill_raw_first" => true,
	    "channel_uids" => "/^4\d\d[\-_]/",
	    "axis" => array(
		"/^412-RTP/i" => "temperature"
	    )
);

$OPTIONS["detector"] = array(
	    "date_limit" => "2008-08-15 00:00:00",              //GMT
	    "optimize_empty_cache" => true,
//	    "graph_interpolate" => false,
	    "maximal_allowed_gap" => 120,
	    "ignore_invalid_data" => true,
//	    "fill_raw_first" => true,
	    "overcome_reader_faults" => true,  // Use CACHE if connection to reader is failed 
	    "use_cache_timewindow" => true,
	    "timestamp_channels" => true,	// Groups is prefixed with two channels with accquisition timestamps (may give a number)
	    "alarm_severity" => 0,
	    "channel_uids" => "/^5\d\d[\-_]/",
	    "axis" => array(
		"/^522-RTP/i" => "temperature",
		"/^522-RP[PV]/i" => "vacuum"
	    )
);

$OPTIONS["katrin__hauptspektrometer"] = array(
	    "backup" => "backup_hauptspektrometer",
	    "date_limit" => array("2007-07-01 00:00:00",  "2007-09-21 00:00:00"),
	    "optimize_empty_cache" => true,
//	    "graph_interpolate" => false,
	    "maximal_allowed_gap" => 120,
	    "channel_uids" => "/^DAT_/",
/*	    "axis" => array(
		"/^DAT_RPP.*$/" => "0",
		"*" =>"temperature"
	    )*/
);

$OPTIONS["opcreader"] = array(
    "tables" => array(
	"/^Wt\\\$LiveData\\\$(.*)$/" => array(
	    'gid' => '${1}',
	    'title' => '${1}'
	)
    ),
    "groups" => array(
	"/^(.*)$/" => 'mda.[Wt$LiveData\$${1}]'
    ),
    "columns" => array(
	"time" => "WsDateTimeTicks",
	"data" => "/^Ws(Ch)?_/"
    ),
    "timezone" => "Europe/Berlin",
    "time_module" => "MSTICKS",
    "timesort" => 1,
    "min_resolution" => 10,
    "ignore_subseconds" => false,
    "optimize_empty_cache" => true,
    "use_cache_timewindow" => true,
    "use_md5_postfix" => true,
    "channel_uids" => true,
    "date_limit" => "2009-09-09 00:00:00"
);

$OPTIONS["opcreader__dbMagnet-archive_rep"] = array(
    "mask_table" => array(
	"table" => 'mda.[Wt$ConfigData$Masks]',
	"id" => "WsTID",
	"gid" => "WsTable",
	"properties" => array(
	    "name" => "WsName",
	    "mask" => "WsChannels"
	)
    )
);

$OPTIONS["opcreader__KatrinOPCTest"] = array(
    "tables" => array(
	"/^Wv\\\$LiveData\\\$(.*)$/" => array(
	    'gid' => '${1}',
	    'title' => '${1}'
	)
    ),
    "groups" => array(
	"/^(.*)$/" => '[Wv$LiveData\$${1}]'
    ),
    "columns" => array(
	"time" => "WsDateTimeTicks",
	"data" => "/^\d+/"
    )
);

$OPTIONS["kdb"] = array(
    "date_limit" => "2009-11-00 00:00:00"
);

?>
