<?xml version="1.0"?>
<!-- $Id: kdbrundesc.xsl 973 2009-08-19 09:40:28Z s_voec01 $ -->
<!-- Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de> -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" />
    <xsl:template match="/rundesc">
        <html>
            <head><link rel="stylesheet" type="text/css" href="setups/katrin/rdstyle.css"></head>
            <body>
                <h3>Andreas Kopmann</h3>
                <h3>Subrun <xsl:value-of select="//identifier" /></h3>
                <p>Time: <xsl:value-of select="//start" /> -
                    <xsl:value-of select="//end" /></p>
                <p>Detector: <xsl:value-of select="//detector" />,
                    x: <xsl:value-of select="//detector_x" />cm,
                    y: <xsl:value-of select="//detector_y" />cm,
                    z: <xsl:value-of select="//detector_z" />cm,
                    Crate: <xsl:value-of select="//crate" /></p>
                <p>Configuration: <xsl:value-of select="//configuration" />,
                    ORCA version: <xsl:value-of select="//orca_version" /></p>
                <p>West Magnet: <xsl:value-of select="//magnet_west" />A
                    (<xsl:value-of select="//field_west" />T),
                    East Magnet: <xsl:value-of select="//magnet_east" />A
                    (<xsl:value-of select="//field_east" />T)</p>
                <p>Valve det/PS: <xsl:value-of select="//det_ps" />,
                    Valve PS/egun: <xsl:value-of select="//ps_egun" /></p>
                <p>T: <xsl:value-of select="//t" />,
                    S1: <xsl:value-of select="//s1" />,
                    S2: <xsl:value-of select="//s2" />,
                    S3: <xsl:value-of select="//s3" />,
                    S4: <xsl:value-of select="//s4" />,
                    D1: <xsl:value-of select="//d1" />,
                    D2: <xsl:value-of select="//d2" /></p>
                <p>FUG1: <xsl:value-of select="//fug1" />kV,
                    FUG2: <xsl:value-of select="//fug2" />kV,
                    FUG3: <xsl:value-of select="//fug3" />kV,
                    FUG4: <xsl:value-of select="//fug4" />kV,
                    FUG5: <xsl:value-of select="//fug5" />kV</p>
                <p>Pressure: <xsl:value-of select="//pressure" />mbar</p>
                <p>UV Light: <xsl:value-of select="//egun_uv" />,
                    Shutter: <xsl:value-of select="//egun_shutter" />,
                    Voltage: <xsl:value-of select="//egun_hv" />kV,
                    x: <xsl:value-of select="//egun_x" />°,
                    y: <xsl:value-of select="//egun_y" />°</p>
                <p>Comment: <xsl:value-of select="//comment" /></p>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
